Skip to main content
GET
/
api
/
v1
/
purchase-orders
/
{po_id}
Get Purchase Order
curl --request GET \
  --url https://api.example.com/api/v1/purchase-orders/{po_id}
{
  "id": "<string>",
  "poType": "<string>",
  "documentId": "<string>",
  "supplierId": "<string>",
  "supplierVendor": "<string>",
  "supplierRefPo": "<string>",
  "materialRequestId": "<string>",
  "mrIds": "<string>",
  "salesOrderId": "<string>",
  "orderDate": "<string>",
  "expectedDeliveryDate": "<string>",
  "currency": "<string>",
  "subtotal": 123,
  "taxRate": 123,
  "taxAmount": 123,
  "total": 123,
  "purpose": "<string>",
  "expenseCategory": "<string>",
  "category": "<string>",
  "frequency": "<string>",
  "managementAccountId": "<string>",
  "status": "<string>",
  "notes": "<string>",
  "createdAt": "<string>",
  "itemsCount": 123,
  "dueDate": "<string>",
  "lineItems": [
    {
      "id": "<string>",
      "purchaseOrderId": "<string>",
      "itemNumber": 123,
      "materialId": "<string>",
      "description": "<string>",
      "uom": "<string>",
      "qty": 123,
      "unitPrice": 123,
      "amount": 123,
      "linkedMrLineId": "<string>",
      "status": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

po_id
string
required

Response

Successful Response

id
string
required
poType
string
required
documentId
string | null
supplierId
string | null
supplierVendor
string | null
supplierRefPo
string | null
materialRequestId
string | null
mrIds
string | null
salesOrderId
string | null
orderDate
string | null
expectedDeliveryDate
string | null
currency
string | null
subtotal
number | null
taxRate
number | null
taxAmount
number | null
total
number | null
purpose
string | null
expenseCategory
string | null
category
string | null
frequency
string | null
managementAccountId
string | null
status
string | null
notes
string | null
createdAt
string | null
itemsCount
integer | null
dueDate
string | null
lineItems
PurchaseOrderLineItem · object[] | null